UpdateAccount
POST
Modify account name
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)account_namestringrequired
Account name. Example: testAccountNamevisibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)account_namestring
Account name. (Can be modified once via wallet/updateaccount).codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/updateaccount' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"account_name": "testAccountName"}'